
function [X,Y,tri,A] = create_graph
% function [X,Y,tri,A] = create_graph
% X and Y: coordinates of vertices
% tri: Triangles
% A: Adjacency matrix (sparse)

% Create some vertices in [0,2]X[0,1]

X=[(0:.1:2)'; (0:.1:2)'; zeros(9,1); 2*ones(9,1)];
Y=[zeros(21,1); ones(21,1); (.1:.1:.9)'; (.1:.1:.9)'];

for x = .05:.05:1.95
    X = [X; rand(19,1)*.0 + x];
    Y = [Y; rand(19,1)*.0 + (.05:.05:.95)'];
end

% Remove points in the ellipse
filter = (4*(X-1).^2 + 16*(Y-.5).^2 >= 1);
X = X(filter);
Y = Y(filter);

K = length(X);

% Add some points on the side of the ellipse
X = [X; 1+0.47*cos(2*pi*(.05:0.05:1)')];
Y = [Y; .5+0.22*sin(2*pi*(.05:0.05:1)')];

tri = delaunay(X,Y);

% Remove spurious vertices trianglues in the ellipse
tri = tri (min(tri,[],2)<=K,:);

K = length(X);

% Now make adjacency matrix
A = sparse(K,K);
for i = 1:size(tri,1)
	a = tri(i,1); b = tri(i,2); c = tri(i,3);
	A(a,b) = 1; A(b,a) = 1;
	A(b,c) = 1; A(c,b) = 1;
	A(c,a) = 1; A(a,c) = 1;
end
